Package org.globus.net

# Class GSIURLConnection

java.lang.Object
java.net.URLConnection
org.globus.net.GSIURLConnection

Direct Known Subclasses:
  `GSIHttpURLConnection`

public abstract class GSIURLConnection extends URLConnection

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Authorization`
`authorization`
`protected GSSCredential`
`credentials`
`protected int`
`delegationType`
`static final String`
`GSS_MODE_PROPERTY`
`protected Integer`
`gssMode`

### Fields inherited from class java.net.URLConnection

`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`GSIURLConnection(URL url)`
Subclasses must overwrite.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`disconnect()`
`Authorization`
`getAuthorization()`
`GSSCredential`
`getCredentials()`
`int`
`getDelegationType()`
`protected GSSName`
`getExpectedName()`
`Integer`
`getGSSMode()`
`void`
`setAuthorization(Authorization auth)`
`void`
`setCredentials(GSSCredential credentials)`
`void`
`setDelegationType(int delegationType)`
`void`
`setGSSMode(Integer mode)`
`void`
`setRequestProperty(String key, String value)`

### Methods inherited from class java.net.URLConnection

`addRequestProperty, connect, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getInputStream, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setUseCaches, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### GSS_MODE_PROPERTY

public static final String GSS_MODE_PROPERTY

See Also:
  - Constant Field Values

### credentials

protected GSSCredential credentials

### authorization

protected Authorization authorization

### delegationType

protected int delegationType

### gssMode

protected Integer gssMode

## Constructor Details

### GSIURLConnection

protected GSIURLConnection(URL url)
Subclasses must overwrite.

## Method Details

### disconnect

public abstract void disconnect()

### setGSSMode

public void setGSSMode(Integer mode)

### getGSSMode

public Integer getGSSMode()

### setCredentials

public void setCredentials(GSSCredential credentials)

### getCredentials

public GSSCredential getCredentials()

### setAuthorization

public void setAuthorization(Authorization auth)

### getAuthorization

public Authorization getAuthorization()

### setDelegationType

public void setDelegationType(int delegationType)

### getDelegationType

public int getDelegationType()

### getExpectedName

protected GSSName getExpectedName() throws GSSException

Throws:
  `GSSException`

### setRequestProperty

public void setRequestProperty(String key, String value)

Overrides:
  `setRequestProperty` in class `URLConnection`